---
title: PushManager.registrations()
slug: Web/API/PushManager/registrations
tags:
  - API
  - Deprecated
  - Method
  - Reference
  - Simple Push API
---
<div>{{deprecated_header}}{{ApiRef("Push API")}}</div>

<p>The <strong><code>registrations</code></strong> method is used to ask the system about existing push endpoint registrations.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var request = navigator.push.registrations();</pre>

<h3 id="Return">Return</h3>

<p>A {{domxref("DOMRequest")}} object to handle the success or failure of the method call.</p>

<p>If the method call is successful, the request's <code>result</code> will be an array of {{Anch("PushRegistration")}} objects.</p>

<h3 id="PushRegistration">PushRegistration</h3>

<p>Those objects are anonymous JavaScript objects with the following properties:</p>

<dl>
 <dt><code>pushEndpoint</code></dt>
 <dd>A string representing the URL of the endpoint.</dd>
 <dt><code>version</code></dt>
 <dd>The current version that the push endpoint is at.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var req = navigator.push.registrations();

req.onsuccess = function(e) {
  if (req.result.length &gt; 0) {
    for (var i = 0, l = req.result.length; i &lt; l; i++) {
      console.log("Existing registration", req.result[i].pushEndpoint, req.result[i].version);
    }
    // Reuse existing endpoints.
  } else {
    // Register for a new endpoint.
    var register = navigator.push.register();
    register.onsuccess = function(e) {
      console.log("Registered new endpoint", register.result);
    }
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Push API')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Defines the <code>PushManager</code> interface.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PushManager.registrations")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PushManager")}}</li>
 <li>{{domxref("DOMRequest")}}</li>
</ul>
